## dotclear 2.3.1+dfsg

=== debian/changelog ===
dotclear (2.3.1+dfsg-1) unstable; urgency=low

  [Nicolas Roudaire]
  * Create .orig.tar.gz archive from upstream's repository
    Removes non free swf files and associated features.
  * Move some directories to better respect FHS and the webapp policy
    (introduce /usr/share/dotclear/web, move locales, plugins, public,
    and themes directories to /var/lib/dotclear)
  * Add PosgreSQL and SQLite dependencies
  * Remove unsused maintainer scripts
  * Replaces embeded jquery libs by debian packages
  * Creation of databases (mysql or postgresql) are done with dbconfig-common
  * Fix problem with sqlite. I use two template :
    one for sqlite (and with dbc_basepath) and one for mysql and postgresql
  * Add question mark at end of blog url because
    default URL scan method is QUERY_STRING and need that character
  * Change permissions on /var/lib/dotclear/web/inc/digests
    to stop automatic update provided by dotclear
  * Remove apache from available http servers

  [Dario Minnucci]
  * Initial release (Closes: #570139)
  * debian/watch:
    - Setup to use: http://download.dotclear.org/
    - Updated to mangle '+dfsg' form package name
  * debian/control & debian/copyright:
    Added Nicolas Roudaire as co-maintainer. Welcome on board!
  * debian/copyright: Added full text for CC-BY-SA-3.0
  * debian/README.source: updated
  * debian/maintainer-tools/make-custom-tar-gz: Removed
  * As we are using repacked sources package is now +dfsg

 -- Dario Minnucci <midget@debian.org>  Mon, 29 Aug 2011 11:40:11 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install

	install -m 644 debian/sql/mysql.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/install/mysql
	install -m 644 debian/sql/pgsql.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/install/pgsql
	install -m 644 debian/sql/sqlite.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/install/sqlite3

	rm -f debian/dotclear/usr/share/dotclear/web/admin/js/jquery/jquery.js
	rm -f debian/dotclear/var/lib/dotclear/web/themes/default/js/jquery.js
	rm -f debian/dotclear/var/lib/dotclear/web/themes/default/js/jquery.cookie.js

	# Remove useless files
	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/mkdcl.php
	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/rules

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/dotclear/usr/share/dotclear/web/admin/style/package.png					\
		 debian/dotclear/usr/share/dotclear/web/admin/style/msg-error.png				\
		 debian/dotclear/usr/share/dotclear/web/admin/style/install/note.png				\
		 debian/dotclear/usr/share/dotclear/web/admin/style/msg-std.png					\
		 debian/dotclear/usr/share/dotclear/web/admin/style/drag.png					\
		 debian/dotclear/var/lib/dotclear/web/plugins/antispam/filters/class.dc.filter.words.php	\
		 debian/dotclear/usr/share/dotclear/web/admin/style/install/important.png			\
		 debian/dotclear/usr/share/dotclear/web/admin/style/install/process_warning.png			\
		 debian/dotclear/var/lib/dotclear/web/plugins/antispam/filters/class.dc.filter.iplookup.php

## dotclear 2.5.2+dfsg

=== inc/libs/clearbricks/Makefile ===
SHELL=/bin/sh

DIST=_dist
CB=$(DIST)/clearbricks

default:
	@echo "make config or make dist"

config:
	mkdir -p ./$(CB)
	
	## Copy needed files and folders
	find ./ -mindepth 1 -maxdepth 1 -type d \
	-not -regex '.*svn.*' \
	-not -name '_dist' \
	-not -name 'debian' \
	-exec cp -r \{\} ./$(CB) \;
	
	## Copy _common.php and README files
	cp _common.php README ./$(CB)/
	
	## Remove .svn folders
	find ./$(CB)/ -type d -name '.svn' -print0 | xargs -0 rm -rf
	
	touch config-stamp

dist: config dist-tgz dist-zip

deb:
	cp ./README debian/README
	dpkg-buildpackage -rfakeroot

dist-tgz:
	[ -f config-stamp ]
	cd $(DIST) && tar cfz clearbricks-$$(grep CLEARBRICKS_VERSION clearbricks/common/_main.php | cut -d"'" -f4).tar.gz ./clearbricks

dist-zip:
	[ -f config-stamp ]
	cd $(DIST) && zip -r9 clearbricks-$$(grep CLEARBRICKS_VERSION clearbricks/common/_main.php | cut -d"'" -f4).zip ./clearbricks

clean:
	[ -f config-stamp ]
	rm -rf $(DIST)
	rm -f config-stamp build-stamp configure-stamp

## dotclear 2.4.0+dfsg

=== debian/changelog ===
dotclear (2.4.0+dfsg-1) unstable; urgency=low

  [Nicolas Roudaire]
  * New upstream release
  * Add Swedish debconf translation (Closes: #640621)
  * Add German debconf translation (Closes: #642138)
  * Fix French debconf translation
  * Move SQLite database outside DOCUMENT ROOT

  [Dario Minnucci]
  * debian/README.Debian:
    + Fix for lintian W: readme-debian-contains-invalid-email-address
  * debian/copyright:
    + Fixes for lintian W: syntax-error-in-dep5-copyright

 -- Dario Minnucci <midget@debian.org>  Wed, 23 Nov 2011 22:43:33 +0100

=== debian/control ===
Source: dotclear
Section: web
Priority: optional
Maintainer: Dario Minnucci <midget@debian.org>
Uploaders: Nicolas Roudaire <nikrou77@gmail.com>
Build-Depends: debhelper (>= 8.0.0), po-debconf
Standards-Version: 3.9.2
Homepage: http://dotclear.org
Vcs-Git: git://git.debian.org/collab-maint/dotclear.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dotclear.git;a=summary

Package: dotclear
Architecture: all
Depends: ${misc:Depends},
 apache2 | httpd | lighttpd,
 libapache2-mod-php5 | php5 | php5-cgi, php5-cli,
 php5-mysql | php5-pgsql | php5-sqlite,
 libjs-jquery, libjs-jquery-cookie, libjs-jquery-ui (>=1.8),
 dbconfig-common
Recommends: mysql-server | postgresql, mysql-client | postgresql-client | sqlite3
Description: open-source web publishing software
 Dotclear project's purpose is to provide a user-friendly 
 tool allowing anyone to publish on the web, regardless of 
 their technical skills.
 .
 Features:
  * Easy publication
  * Fully customizable theme
  * User-friendly administration
  * Flexible template system
  * Media management
  * Choose your input method
  * Flexible comment system
  * Built-in antispam
  * Localization
  * Presentation widgets
  * Themes and plugins
  * Pages
  * Tags and categories
  * Automated installation
  * Support for several database types
  * Multiblog
  * Multi-user with permissions
  * Standard complian
  * Accessible
  * Importing / exporting
  * Naturally optimized for search engines
  * Syndication feeds
  * Complete trackback support
  * Full Unicode support
  * XML/RPC client support
  * Extensible
  * Performance and scalability
  * Twice free

## dotclear 2.4.2+dfsg

=== debian/changelog ===
dotclear (2.4.2+dfsg-2) unstable; urgency=low

  [Dario Minnucci]
  * debian/po:
    - Added Italian translation for debconf messages.
      Thanks to Beatrice Torracca. (Closes: #660760)
    - Added Slovak translation for debconf messages.
      Thanks to helix84. (Closes: #661134)
  * debian/control:
    - Bump Standards-Version to 3.9.3
    - Build-Depends updated to use debhelper (>= 9)
  * debian/copyright:
    - Format URL updated to be DEP5 compliant.
    - Copyright years updated.

 -- Dario Minnucci <midget@debian.org>  Fri, 23 Mar 2012 03:29:52 +0100

dotclear (2.4.2+dfsg-1) unstable; urgency=low
  [Nicolas Roudaire]
  * New upstream release
  * Fix Call-time pass-by-reference in some functios calls (Closes: #658868)
  * Sanitize postgreSQL installation tables

  [Dario Minnucci]
  * debian/control:
    - Added dependecies on mysql-client | postgresql-client | sqlite3
  * debian/po:
    - Added Portuguese translation for debconf messages.
      Thanks to Portuguese Translation Team. (Closes: #651435)
    - Added Russian translation for debconf messages.
      Thanks to Yuri Kozlov. (Closes: #653712)
    - Added Danish translation for debconf messages.
      Thanks to Joe Dalton. (Closes: #656753)
    - Added Dutch translation for debconf messages.
      Thanks to Jeroen Schot. (Closes: #657631)
    - Added Polish translation for debconf messages.
      Thanks to Michał Kułach. (Closes: #660096)
    - Added Czech translation for debconf messages.
      Thanks to Michal Simunek. (Closes: #660130)

 -- Dario Minnucci <midget@debian.org>  Sat, 18 Feb 2012 14:02:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Dario Minnucci <midget@debian.org>
 Uploaders: Nicolas Roudaire <nikrou77@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), po-debconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), po-debconf
+Standards-Version: 3.9.3
 Homepage: http://dotclear.org
 Vcs-Git: git://git.debian.org/collab-maint/dotclear.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dotclear.git;a=summary
 
 Package: dotclear
 Architecture: all
-Depends: ${misc:Depends},
+Depends: mysql-client | postgresql-client | sqlite3, ${misc:Depends},
  apache2 | httpd | lighttpd,
  libapache2-mod-php5 | php5 | php5-cgi, php5-cli,
  php5-mysql | php5-pgsql | php5-sqlite,
  libjs-jquery, libjs-jquery-cookie, libjs-jquery-ui (>=1.8),
  dbconfig-common
-Recommends: mysql-server | postgresql, mysql-client | postgresql-client | sqlite3
+Recommends: mysql-server | postgresql
 Description: open-source web publishing software
  Dotclear project's purpose is to provide a user-friendly 
  tool allowing anyone to publish on the web, regardless of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install

	install -m 644 debian/sql/mysql.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/install/mysql
	install -m 644 debian/sql/pgsql.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/install/pgsql
	install -m 644 debian/sql/sqlite.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/install/sqlite3

	install -m 644 debian/sql/mysql_upgrade_2.4.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/mysql/2.4.0
	install -m 644 debian/sql/pgsql_upgrade_2.4.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/pgsql/2.4.0
	install -m 644 debian/sql/sqlite_upgrade_2.4.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/sqlite3/2.4.0

	rm -f debian/dotclear/usr/share/dotclear/web/admin/js/jquery/jquery.js
	rm -f debian/dotclear/var/lib/dotclear/web/themes/default/js/jquery.js
	rm -f debian/dotclear/var/lib/dotclear/web/themes/default/js/jquery.cookie.js

        # Remove 1useless files
	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/mkdcl.php
	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/rules

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/dotclear/var/lib/dotclear/web/themes/ductile/img/feed.png \
		 debian/dotclear/var/lib/dotclear/web/themes/ductile/img/download.png

## dotclear 2.5.2+dfsg

=== debian/changelog ===
dotclear (2.5.2+dfsg-1) unstable; urgency=low

  [ Nicolas Roudaire ]
  * New upstream release
  * Fix apache.conf installation and changes (Closes: #709960)

  [ Dario Minnucci ]
  * Changes in debian/control:
    (as per https://wiki.debian.org/Apache/PackagingFor24)
    - Add 'dh-apache2' to Build-Depends
    - Add '${misc:Recommends}' to Recommends
  * debian/dotclear.dirs
    - Replace '/etc/apache2/conf.d' with '/etc/apache2/conf-available'

 -- Dario Minnucci <midget@debian.org>  Mon, 26 Aug 2013 14:32:34 +0200

dotclear (2.5+dfsg-1) unstable; urgency=low

  [ Nicolas Roudaire ]
  * New upstream release (Closes: #705100)
  * debian/control:
    - Bump Standards-Version to 3.9.4
  * Add missing tables (Closes: #668297)
  * debian/po:
    - Added Brazilian Portuguese translation for debconf messages.
      Thanks to Adriano Rafael Gomes. (Closes: #685768)
    - Added Japanese translation for debconf messages.
      Thanks to victory. (Closes: #692972)
  * Fix upstream "unrestricted file upload" (CVE-2011-5083)
    (Closes: #670227)
  * Start interfacing apache 2.4 (Closes: #669759)

  [ Dario Minnucci ]
  * debian/control: Use canonical name on Vcs-* fields
  * debian/rules: Do not install extra license file in
    web/plugins/themeEditor/codemirror/LICENSE

 -- Dario Minnucci <midget@debian.org>  Sat, 25 May 2013 19:51:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Dario Minnucci <midget@debian.org>
 Uploaders: Nicolas Roudaire <nikrou77@gmail.com>
-Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), po-debconf, dh-apache2
+Standards-Version: 3.9.4
 Homepage: http://dotclear.org
-Vcs-Git: git://git.debian.org/collab-maint/dotclear.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dotclear.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/dotclear.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dotclear.git
 
 Package: dotclear
 Architecture: all
@@ -17,7 +17,7 @@
  php5-mysql | php5-pgsql | php5-sqlite,
  libjs-jquery, libjs-jquery-cookie, libjs-jquery-ui (>=1.8),
  dbconfig-common
-Recommends: mysql-server | postgresql
+Recommends: mysql-server | postgresql, ${misc:Recommends}
 Description: open-source web publishing software
  Dotclear project's purpose is to provide a user-friendly 
  tool allowing anyone to publish on the web, regardless of

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with apache2
 
 override_dh_install:
 	dh_install
@@ -23,15 +23,23 @@
 	install -m 644 debian/sql/pgsql_upgrade_2.4.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/pgsql/2.4.0
 	install -m 644 debian/sql/sqlite_upgrade_2.4.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/sqlite3/2.4.0
 
+	install -m 644 debian/sql/mysql_upgrade_2.5.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/mysql/2.5.0
+	install -m 644 debian/sql/pgsql_upgrade_2.5.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/pgsql/2.5.0
+	install -m 644 debian/sql/sqlite_upgrade_2.5.0.sql debian/dotclear/usr/share/dbconfig-common/data/dotclear/upgrade/sqlite3/2.5.0
+
 	rm -f debian/dotclear/usr/share/dotclear/web/admin/js/jquery/jquery.js
 	rm -f debian/dotclear/var/lib/dotclear/web/themes/default/js/jquery.js
 	rm -f debian/dotclear/var/lib/dotclear/web/themes/default/js/jquery.cookie.js
 
-        # Remove 1useless files
+        # Remove useless files
 	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/mkdcl.php
 	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/rules
+	rm -f debian/dotclear/var/lib/dotclear/web/plugins/themeEditor/codemirror/LICENSE
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/dotclear/var/lib/dotclear/web/themes/ductile/img/feed.png \
 		 debian/dotclear/var/lib/dotclear/web/themes/ductile/img/download.png
+
+override_dh_apache2:
+	dh_apache2 --noscripts

## dotclear 2.5.3+dfsg

=== debian/changelog ===
dotclear (2.5.3+dfsg-1) unstable; urgency=low

  [ Nicolas Roudaire ]
  * New upstream release

 -- Dario Minnucci <midget@debian.org>  Tue, 17 Sep 2013 12:28:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -35,11 +35,14 @@
 	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/mkdcl.php
 	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/debian/rules
 	rm -f debian/dotclear/var/lib/dotclear/web/plugins/themeEditor/codemirror/LICENSE
+	rm -fr debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/tests
+	rm -fr debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/bin
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/dotclear/var/lib/dotclear/web/themes/ductile/img/feed.png \
-		 debian/dotclear/var/lib/dotclear/web/themes/ductile/img/download.png
+		 debian/dotclear/var/lib/dotclear/web/themes/ductile/img/download.png \
+		 debian/dotclear/var/lib/dotclear/web/plugins/tags/js/page.js
 
 override_dh_apache2:
 	dh_apache2 --noscripts

## dotclear 2.6.2+dfsg

=== debian/changelog ===
dotclear (2.6.2+dfsg-1) unstable; urgency=high

  [ Nicolas Roudaire ]
  * New upstream release (Closes: #737161)

  [ Dario Minnucci ]
  * This upload fixes RC bug so we bump urgency to 'high'

 -- Dario Minnucci <midget@debian.org>  Mon, 17 Feb 2014 20:31:41 +0100

dotclear (2.6.1+dfsg-1) unstable; urgency=low

  [ Nicolas Roudaire ]
  * New upstream release

  [ Dario Minnucci ]
  * debian/control: Bump Standards-Version to 3.9.5 (no changes)

 -- Dario Minnucci <midget@debian.org>  Wed, 04 Dec 2013 11:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Uploaders: Nicolas Roudaire <nikrou77@gmail.com>
 Build-Depends: debhelper (>= 9), po-debconf, dh-apache2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://dotclear.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/dotclear.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dotclear.git

=== debian/rules ===
--- 
+++ 
@@ -37,12 +37,11 @@
 	rm -f debian/dotclear/var/lib/dotclear/web/plugins/themeEditor/codemirror/LICENSE
 	rm -fr debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/tests
 	rm -fr debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/bin
+	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/.atoum.*
+	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/composer.*
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod -x debian/dotclear/var/lib/dotclear/web/themes/ductile/img/feed.png \
-		 debian/dotclear/var/lib/dotclear/web/themes/ductile/img/download.png \
-		 debian/dotclear/var/lib/dotclear/web/plugins/tags/js/page.js
 
 override_dh_apache2:
 	dh_apache2 --noscripts

## dotclear 2.6.3+dfsg

=== debian/changelog ===
dotclear (2.6.3+dfsg-1) unstable; urgency=high

  [ Nicolas Roudaire ]
  * New upstream release.
 
  [ Dario Minnucci ]
  * This maintenance release includes fixes for two potential 
    security defaults on XML-RPC authentication and on category 
    ordering.

 -- Dario Minnucci <midget@debian.org>  Sat, 17 May 2014 22:00:03 +0200

dotclear (2.6.2+dfsg-2) unstable; urgency=low
  [ Nicolas Roudaire ]
  * Fix missing dependecies
  * Make javascript templates more readable.
    Temporary solution (Closes: #744317)

 -- Dario Minnucci <midget@debian.org>  Thu, 01 May 2014 15:14:21 +0200

## dotclear 2.6.4+dfsg

=== debian/changelog ===
dotclear (2.6.4+dfsg-1) unstable; urgency=high
  [ Nicolas Roudaire ]
  * New upstream release.
  * This maintenance release includes fixes for two potential
    security defaults on XML-RPC system and on media manager.

 -- Dario Minnucci <midget@debian.org>  Wed, 20 Aug 2014 03:51:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dario Minnucci <midget@debian.org>
 Uploaders: Nicolas Roudaire <nikrou77@gmail.com>
-Build-Depends: debhelper (>= 9), po-debconf, dh-apache2
+Build-Depends: debhelper (>= 9), po-debconf, dh-apache2, apache2-dev
 Standards-Version: 3.9.5
 Homepage: http://dotclear.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/dotclear.git

## dotclear 2.7.5+dfsg

=== debian/changelog ===
dotclear (2.7.5+dfsg-1) unstable; urgency=low
  [ Nicolas Roudaire ]
  * New upstream release.
  * Allow use of mariadb instead of mysql. (Closes: #732881)
  * debian/control: Bump Standards-Version to 3.9.6 (no changes)

 -- Dario Minnucci <midget@debian.org>  Fri, 19 Jun 2015 11:36:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Uploaders: Nicolas Roudaire <nikrou77@gmail.com>
 Build-Depends: debhelper (>= 9), po-debconf, dh-apache2, apache2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://dotclear.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/dotclear.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dotclear.git
 
 Package: dotclear
 Architecture: all
-Depends: mysql-client | postgresql-client | sqlite3, ${misc:Depends},
+Depends: mysql-client | mariadb-client | postgresql-client | sqlite3, ${misc:Depends},
  apache2 | httpd | lighttpd,
  libapache2-mod-php5 | php5 | php5-cgi, php5-cli,
  php5-mysql | php5-pgsql | php5-sqlite,
  libjs-jquery, libjs-jquery-cookie, libjs-jquery-ui (>=1.8),
  dbconfig-common
-Recommends: mysql-server | postgresql, ${misc:Recommends}
+Recommends: mysql-server | mariadb-server | postgresql, ${misc:Recommends}
 Description: open-source web publishing software
- Dotclear project's purpose is to provide a user-friendly 
- tool allowing anyone to publish on the web, regardless of 
+ Dotclear project's purpose is to provide a user-friendly
+ tool allowing anyone to publish on the web, regardless of
  their technical skills.
  .
  Features:
@@ -52,4 +52,3 @@
   * Extensible
   * Performance and scalability
   * Twice free
-

## dotclear 2.8.0+dfsg

=== inc/libs/clearbricks/Makefile ===
--- 
+++ 
@@ -14,10 +14,11 @@
 	-not -regex '.*svn.*' \
 	-not -name '_dist' \
 	-not -name 'debian' \
+	-not -name 'tests' \
 	-exec cp -r \{\} ./$(CB) \;
 	
 	## Copy _common.php and README files
-	cp _common.php README ./$(CB)/
+	cp _common.php README.md ./$(CB)/
 	
 	## Remove .svn folders
 	find ./$(CB)/ -type d -name '.svn' -print0 | xargs -0 rm -rf
@@ -27,7 +28,7 @@
 dist: config dist-tgz dist-zip
 
 deb:
-	cp ./README debian/README
+	cp ./README.md debian/README
 	dpkg-buildpackage -rfakeroot
 
 dist-tgz:

=== debian/changelog ===
dotclear (2.8.0+dfsg-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 22 Mar 2016 17:54:45 -0700

dotclear (2.8.0+dfsg-1) unstable; urgency=low
  [ Nicolas Roudaire ]
  * New upstream release.
  * Add nginx from available http servers (Closes: #783739)

 -- Dario Minnucci <midget@debian.org>  Thu, 27 Aug 2015 01:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dotclear
 Section: web
 Priority: optional
-Maintainer: Dario Minnucci <midget@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dario Minnucci <midget@debian.org>
 Uploaders: Nicolas Roudaire <nikrou77@gmail.com>
 Build-Depends: debhelper (>= 9), po-debconf, dh-apache2, apache2-dev
 Standards-Version: 3.9.6
@@ -12,9 +13,9 @@
 Package: dotclear
 Architecture: all
 Depends: mysql-client | mariadb-client | postgresql-client | sqlite3, ${misc:Depends},
- apache2 | httpd | lighttpd,
- libapache2-mod-php5 | php5 | php5-cgi, php5-cli,
- php5-mysql | php5-pgsql | php5-sqlite,
+ apache2 | httpd | lighttpd | nginx,
+ libapache2-mod-php | php | php-cgi, php-cli,
+ php-mysql | php-pgsql | php-sqlite3,
  libjs-jquery, libjs-jquery-cookie, libjs-jquery-ui (>=1.8),
  dbconfig-common
 Recommends: mysql-server | mariadb-server | postgresql, ${misc:Recommends}

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	rm -fr debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/bin
 	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/.atoum.*
 	rm -f debian/dotclear/usr/share/dotclear/web/inc/libs/clearbricks/composer.*
+	rm -fr debian/dotclear/var/lib/dotclear/web/themes/berlin/scss
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3

opts=pasv,dversionmangle=s/\+dfsg// \
	http://download.dotclear.org/latest/ dotclear-(.+)\.tar\.gz
